Get phone number job names
GET/business/{businessId}/phone/job
Fetch a summary of all registered phone number job names. Information includes quantity of phone numbers stored under each job name. Note: If phone numbers are registered separately using the same job name, they will be combined together under that common job name.
Path Parameters
Id of a business
60ff7262-d373-4242-8fc8-a3ecfb51d0c1Query Parameters
Which page of results should be provided. When calling this API for the first time for a set of numbers, request page 0. Defaults to 0.
Responses
- 200
- 400
- 401
- 404
- 500
OK
Response Body
Array [
]
pagingobjectrequired
Which page of results are being provided
integer<int32>0Total quantity of phone numbers that would be available across all pages for this request.
integer<int32>1The quantity of pages available to fetch data on all requested phone numbers.
integer<int32>1The quantity of phone numbers per page.
integer<int32>100jobsobject[]required
The job name. Supports empty job name string.
Count of phone numbers under this job name that are pending registration.
integer<int32>Count of registered phone numbers under this job name.
integer<int32>Count of phone numbers under this job name where the registration process was unsuccessful.
integer<int32>Example from Schema
{
"paging": {
"currentPage": 0,
"totalElements": 1,
"totalPages": 1,
"pageSize": 100
},
"jobs": [
{
"name": "string",
"phonesPending": 0,
"phonesRegistered": 0,
"phonesNeedingAttention": 0
}
]
}
Bad Request
Response Body
Array [
]
The unique identifier for the request. This ID can be used to track the request and its associated response.
The timestamp when the request was processed. This field indicates the exact time at which the response was generated.
string<date-time>errorsobject[]required
A list of errors that occurred during the processing of the request. This field provides detailed information about any issues encountered.
The error code that indicates the type of error that occurred. This field provides a standardized way to identify specific errors in the response.
Possible values: [INTERNAL_SERVER_ERROR, MISSING_REQUIRED_FIELD, INVALID_FIELD, DOMAIN_MISMATCH, UNAUTHORIZED, BUSINESS_ALREADY_EXISTS, BUSINESS_NOT_FOUND, BAD_REQUEST]
A human-readable description of the error. This field provides additional context or information about the error that occurred.
Example from Schema
{
"requestId": "string",
"timestamp": "2024-07-29T15:51:28.071Z",
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"description": "string"
}
]
}
Unauthorized
Response Body
Array [
]
The unique identifier for the request. This ID can be used to track the request and its associated response.
The timestamp when the request was processed. This field indicates the exact time at which the response was generated.
string<date-time>errorsobject[]required
A list of errors that occurred during the processing of the request. This field provides detailed information about any issues encountered.
The error code that indicates the type of error that occurred. This field provides a standardized way to identify specific errors in the response.
Possible values: [INTERNAL_SERVER_ERROR, MISSING_REQUIRED_FIELD, INVALID_FIELD, DOMAIN_MISMATCH, UNAUTHORIZED, BUSINESS_ALREADY_EXISTS, BUSINESS_NOT_FOUND, BAD_REQUEST]
A human-readable description of the error. This field provides additional context or information about the error that occurred.
Example from Schema
{
"requestId": "string",
"timestamp": "2024-07-29T15:51:28.071Z",
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"description": "string"
}
]
}
Not found
Response Body
Array [
]
The unique identifier for the request. This ID can be used to track the request and its associated response.
The timestamp when the request was processed. This field indicates the exact time at which the response was generated.
string<date-time>errorsobject[]required
A list of errors that occurred during the processing of the request. This field provides detailed information about any issues encountered.
The error code that indicates the type of error that occurred. This field provides a standardized way to identify specific errors in the response.
Possible values: [INTERNAL_SERVER_ERROR, MISSING_REQUIRED_FIELD, INVALID_FIELD, DOMAIN_MISMATCH, UNAUTHORIZED, BUSINESS_ALREADY_EXISTS, BUSINESS_NOT_FOUND, BAD_REQUEST]
A human-readable description of the error. This field provides additional context or information about the error that occurred.
Example from Schema
{
"requestId": "string",
"timestamp": "2024-07-29T15:51:28.071Z",
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"description": "string"
}
]
}
Internal Server Error
Response Body
Array [
]
The unique identifier for the request. This ID can be used to track the request and its associated response.
The timestamp when the request was processed. This field indicates the exact time at which the response was generated.
string<date-time>errorsobject[]required
A list of errors that occurred during the processing of the request. This field provides detailed information about any issues encountered.
The error code that indicates the type of error that occurred. This field provides a standardized way to identify specific errors in the response.
Possible values: [INTERNAL_SERVER_ERROR, MISSING_REQUIRED_FIELD, INVALID_FIELD, DOMAIN_MISMATCH, UNAUTHORIZED, BUSINESS_ALREADY_EXISTS, BUSINESS_NOT_FOUND, BAD_REQUEST]
A human-readable description of the error. This field provides additional context or information about the error that occurred.
Example from Schema
{
"requestId": "string",
"timestamp": "2024-07-29T15:51:28.071Z",
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"description": "string"
}
]
}